Subject: USB external drive mounting / permissions issues.

From: "Alan E. Davis" <[email-masked]>
Date: Mon, 29 Aug 2016 11:45:32 -0700

[I used the wrong email address when I posted this message a few minutes
ago.  I hope I will be forgiven for reposting using this correct address.]
Hello:

I have four partitions on a USB drive, including ntfs, fat32, and
ext4. None of them is accessible as automounted. Each of them is
accessible as root, however, and  each of them is
accessible when mounted manually with this command:

         $ sudo  mount /dev/sdXN /mnt/<mountpoint>

I realize this is a permissions issue.  In fact the error message when
clicking on one of these partitions that shows up in files or dolphin
tells me it is.

I have tried a few things and wasted some hours this morning googling
this problem, encountering a virtual Pacific Garbage Patch of
miscellaneous traffic, not one of them seeming specific to this probably
very simple problem.  (It's a sign of the times, I guess).

I can mount even a partition that already shows up as mounted on files
or dolphin and is unreadable, except for ntfs, which does not allow
itself to be mounted until unmounted first.   At this point, the newly
mounted partitions can be accessed normally.

I have tried a recipe for udev from an archilinux article, but this was
no better.

I wrote entries into /etc/fstab for each partition, using
Label=<label>.  This does not work.  This seems strange because I have
used this in the past.  As long as these fstab entries were in the file,
the system would not boot normally.

There may be a few different things going on here?

I would very much appreciate a pointer.  I can manually mount, for now,
but since I access files on these partitions regularly, it would be
extremely helpful for them to be automatically mounted.

Alan Davis

PS.  It's good to be using Debian GNU/Linux again after many years.  The
sticking point (that led to my giving up) has almost always been
networking, usually a  wifi adaptor that is not supported.  This time it
took two days for me to copy over *deb files one at a time, but
eventually, the install succeeded, in good fashion.

-- 

"Sweet instruments hung up in cases. . . keep their sounds to themselves."

         ---Shakespeare, _Timon of Athens_